Open Bug 1548274 Opened 1 year ago Updated 2 days ago

Intermittent dom/ipc/tests/browser_cancel_content_js.js | expected next page to be loaded - | expected timeout

Categories

(Core :: DOM: Content Processes, defect, P3)

defect

Tracking

()

Fission Milestone M4.1

People

(Reporter: intermittent-bug-filer, Assigned: squib)

References

(Blocks 1 open bug)

Details

(Keywords: intermittent-failure, leave-open, regression, Whiteboard: [stockwell disabled])

Attachments

(2 files)

Filed by: aciure [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=243924562&repo=autoland
Full log: https://queue.taskcluster.net/v1/task/bTvccDhXSDGKuw9-rc_BvQ/runs/0/artifacts/public/logs/live_backing.log


[task 2019-05-01T14:47:28.847Z] 14:47:28 INFO - GECKO(4618) | ++DOMWINDOW == 5 (0x7fbd89179400) [pid = 4743] [serial = 5] [outer = 0x7fbd8a6d92e0]
[task 2019-05-01T14:47:30.067Z] 14:47:30 INFO - GECKO(4618) | JavaScript warning: http://mochi.test:8888/browser/dom/ipc/tests/file_cancel_content_js.html, line 15: Error: Script terminated by timeout at:
[task 2019-05-01T14:47:30.067Z] 14:47:30 INFO - GECKO(4618) | @http://mochi.test:8888/browser/dom/ipc/tests/file_cancel_content_js.html:15:14
[task 2019-05-01T14:47:30.144Z] 14:47:30 INFO - [4593, Main Thread] WARNING: No active window: file /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp, line 662
[task 2019-05-01T14:47:31.244Z] 14:47:31 INFO - GECKO(4618) | ++DOMWINDOW == 6 (0x7fbd89178000) [pid = 4743] [serial = 6] [outer = 0x7fbd8a6d92e0]
[task 2019-05-01T14:47:31.248Z] 14:47:31 INFO - GECKO(4618) | --DOCSHELL 0x7f733f84b000 == 1 [pid = 4689] [id = {5d6e5902-fac8-42d3-9874-509f431209dd}] [url = about:blank]
[task 2019-05-01T14:47:31.264Z] 14:47:31 INFO - TEST-INFO | started process screentopng
[task 2019-05-01T14:47:32.053Z] 14:47:32 INFO - TEST-INFO | screentopng: exit 0
[task 2019-05-01T14:47:32.055Z] 14:47:32 INFO - Buffered messages logged at 14:47:28
[task 2019-05-01T14:47:32.056Z] 14:47:32 INFO - Entering test bound
[task 2019-05-01T14:47:32.057Z] 14:47:32 INFO - Buffered messages logged at 14:47:29
[task 2019-05-01T14:47:32.061Z] 14:47:32 INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "http://mochi.test:8888/browser/dom/ipc/tests/file_cancel_content_js.html" line: 0}]
[task 2019-05-01T14:47:32.062Z] 14:47:32 INFO - Buffered messages logged at 14:47:30
[task 2019-05-01T14:47:32.064Z] 14:47:32 INFO - Console message: [JavaScript Warning: "Error: Script terminated by timeout at:
[task 2019-05-01T14:47:32.065Z] 14:47:32 INFO - @http://mochi.test:8888/browser/dom/ipc/tests/file_cancel_content_js.html:15:14
[task 2019-05-01T14:47:32.066Z] 14:47:32 INFO - " {file: "http://mochi.test:8888/browser/dom/ipc/tests/file_cancel_content_js.html" line: 15}]
[task 2019-05-01T14:47:32.068Z] 14:47:32 INFO - Buffered messages finished
[task 2019-05-01T14:47:32.072Z] 14:47:32 INFO - TEST-UNEXPECTED-FAIL | dom/ipc/tests/browser_cancel_content_js.js | expected next page to be loaded -
[task 2019-05-01T14:47:32.074Z] 14:47:32 INFO - Stack trace:
[task 2019-05-01T14:47:32.075Z] 14:47:32 INFO - chrome://mochikit/content/browser-test.js:test_ok:1314
[task 2019-05-01T14:47:32.076Z] 14:47:32 INFO - chrome://mochitests/content/browser/dom/ipc/tests/browser_cancel_content_js.js:test_navigation:32
[task 2019-05-01T14:47:32.077Z] 14:47:32 INFO - chrome://mochitests/content/browser/dom/ipc/tests/browser_cancel_content_js.js:null:43
[task 2019-05-01T14:47:32.078Z] 14:47:32 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1116
[task 2019-05-01T14:47:32.079Z] 14:47:32 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1144
[task 2019-05-01T14:47:32.080Z] 14:47:32 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1005
[task 2019-05-01T14:47:32.081Z] 14:47:32 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
[task 2019-05-01T14:47:32.083Z] 14:47:32 INFO - GECKO(4618) | [Child 4689, Main Thread] WARNING: No active window: file /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp, line 662
[task 2019-05-01T14:47:32.084Z] 14:47:32 INFO - Leaving test bound
[task 2019-05-01T14:47:32.089Z] 14:47:32 INFO - Entering test bound
[task 2019-05-01T14:47:32.091Z] 14:47:32 INFO - GECKO(4618) | ++DOCSHELL 0x7fbd89146000 == 3 [pid = 4743] [id = {29e01d02-074d-4f02-b886-722363706ab5}]
[task 2019-05-01T14:47:32.092Z] 14:47:32 INFO - GECKO(4618) | ++DOMWINDOW == 7 (0x7fbd89f33020) [pid = 4743] [serial = 7] [outer = (nil)]
[task 2019-05-01T14:47:32.093Z] 14:47:32 INFO - GECKO(4618) | [Child 4743, Main Thread] WARNING: No active window: file /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp, line 662
[task 2019-05-01T14:47:32.093Z] 14:47:32 INFO - GECKO(4618) | ++DOMWINDOW == 8 (0x7fbd89178400) [pid = 4743] [serial = 8] [outer = 0x7fbd89f33020]
[task 2019-05-01T14:47:32.094Z] 14:47:32 INFO - GECKO(4618) | --DOMWINDOW == 23 (0x7f733fc32020) [pid = 4689] [serial = 57] [outer = (nil)] [url = about:blank]
[task 2019-05-01T14:47:32.095Z] 14:47:32 INFO - GECKO(4618) | --DOMWINDOW == 22 (0x7f733fd27100) [pid = 4689] [serial = 51] [outer = (nil)] [url = about:blank]
[task 2019-05-01T14:47:32.096Z] 14:47:32 INFO - GECKO(4618) | --DOMWINDOW == 21 (0x7f733fc325c0) [pid = 4689] [serial = 41] [outer = (nil)] [url = http://test2.example.org/]
[task 2019-05-01T14:47:32.097Z] 14:47:32 INFO - GECKO(4618) | --DOMWINDOW == 20 (0x7f733fd274c0) [pid = 4689] [serial = 55] [outer = (nil)] [url = about:blank]
[task 2019-05-01T14:47:32.098Z] 14:47:32 INFO - GECKO(4618) | --DOMWINDOW == 19 (0x7f733fc32d40) [pid = 4689] [serial = 45] [outer = (nil)] [url = about:blank]
[task 2019-05-01T14:47:32.099Z] 14:47:32 INFO - GECKO(4618) | --DOMWINDOW == 18 (0x7f733fc323e0) [pid = 4689] [serial = 37] [outer = (nil)] [url = about:blank]
[task 2019-05-01T14:47:32.099Z] 14:47:32 INFO - GECKO(4618) | --DOMWINDOW == 17 (0x7f733fc334c0) [pid = 4689] [serial = 49] [outer = (nil)] [url = about:blank]
[task 2019-05-01T14:47:32.100Z] 14:47:32 INFO - GECKO(4618) | ++DOMWINDOW == 9 (0x7fbd8976ac00) [pid = 4743] [serial = 9] [outer = 0x7fbd89f33020]
[task 2019-05-01T14:47:32.282Z] 14:47:32 INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "http://mochi.test:8888/browser/dom/ipc/tests/file_cancel_content_js.html" line: 0}]
[task 2019-05-01T14:47:34.282Z] 14:47:34 INFO - TEST-PASS | dom/ipc/tests/browser_cancel_content_js.js | expected timeout -

Summary: Intermittent dom/ipc/tests/browser_cancel_content_js.js | expected next page to be loaded - → Intermittent dom/ipc/tests/browser_cancel_content_js.js | expected next page to be loaded - | expected timeout
Fission Milestone: --- → M4
Priority: P5 → P3
Duplicate of this bug: 1591686

Cosmin, from my first look, it is hard to see how that could be triggering the issue. I don't believe the code in that patch is being executed in that test chunk. AFAIK, that code is only exercised by the media mochitests and the WebRTC WPT. The first appearance of that intermittent on that build target was in a patch that landed 18 minutes before mine, see: https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=853135d7dade4ff6179c3888685ef5ed57b59509&selectedJob=272547667 via https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2010-09-01&endday=2019-10-31&tree=trunk&bug=1548274 . Because it is not a common build target, it isn't surprising that it first showed up on autoland. I will continue to investigate on my end, but it may be good to cast a wider net.

Flags: needinfo?(na-g)

There are 21 failures with that message on Try before it hit autoland. The oldest failure is from 2019-09-26 and has https://hg.mozilla.org/mozilla-central/rev/15ffd69c83be752a28fc40a5db6b6859452fa41f as base.

Pushed by btara@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/ff0b109afd62
Disabled browser_cancel_content_js.js on Windows10 x64 debug. r=gbrown
Keywords: leave-open
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]

I think (well, I hope) I've fixed this for real in bug 1592470, which should land soon.

(In reply to Cosmin Sabou [:CosminS] from comment #36)

Dao, any chance it could be from Bug 1586054?

Seems entirely unrelated.

Flags: needinfo?(dao+bmo)

(In reply to Jim Porter (:squib) from comment #42)

I think (well, I hope) I've fixed this for real in bug 1592470, which should land soon.

Should this test be re-enabled then?

Flags: needinfo?(jporter+bmo)
Depends on: 1592470

(In reply to Dão Gottwald [::dao] from comment #45)

Should this test be re-enabled then?

I did re-enable it (for Win10 64-bit debug) in the patch for bug 1592470, though from comment 43, it looks like there might still be some timing issues across all platforms. It's probably due to this part of the test. I'm working to see if there's a more event-driven way to do that (it's harder than it would seem at first glance, since we have to wait in the test until after the page hangs).

Flags: needinfo?(jporter+bmo)

Roll unfixed test bugs from Fission Milestone M4 to M4.1

Fission Milestone: M4 → M4.1

This is now failing on windows10-64-qr and ccov, there are 16 total failures in the last 7 days.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=278875553&repo=mozilla-central&lineNumber=4936

[task 2019-11-30T12:08:25.431Z] 12:08:25 INFO - TEST-START | dom/ipc/tests/browser_cancel_content_js.js
[task 2019-11-30T12:08:25.440Z] 12:08:25 INFO - GECKO(10160) | Chrome file doesn't exist: Z:\task_1575114809\build\tests\mochitest\browser\dom\ipc\tests\head.js
[task 2019-11-30T12:08:25.501Z] 12:08:25 INFO - GECKO(10160) | DLL blocklist was unable to intercept AppInit DLLs.
[task 2019-11-30T12:08:25.520Z] 12:08:25 INFO - GECKO(10160) | ### XPCOM_MEM_BLOAT_LOG defined -- logging bloat/leaks to c:\users\task_1575114809\appdata\local\temp\tmpje4rnn.mozrunner\runtests_leaks_tab_pid8264.log
[task 2019-11-30T12:08:25.540Z] 12:08:25 INFO - GECKO(10160) | [Child 8264, Main Thread] WARNING: No CID found when attempting to map contract ID: file z:/build/build/src/xpcom/components/nsComponentManager.cpp, line 729
[task 2019-11-30T12:08:25.704Z] 12:08:25 INFO - GECKO(10160) | ++DOCSHELL 00000276FBB7A800 == 1 [pid = 8884] [id = {4b621d57-2e26-4cba-aa68-8d08e65b96f0}]
[task 2019-11-30T12:08:25.704Z] 12:08:25 INFO - GECKO(10160) | ++DOMWINDOW == 1 (0000027684384020) [pid = 8884] [serial = 1] [outer = 0000000000000000]
[task 2019-11-30T12:08:25.709Z] 12:08:25 INFO - GECKO(10160) | [Child 8884, Main Thread] WARNING: NS_ENSURE_TRUE(mPresShell) failed: file z:/build/build/src/layout/base/nsPresContext.cpp, line 848
[task 2019-11-30T12:08:25.709Z] 12:08:25 INFO - GECKO(10160) | ++DOMWINDOW == 2 (00000276843C9000) [pid = 8884] [serial = 2] [outer = 0000027684384020]
[task 2019-11-30T12:08:25.980Z] 12:08:25 INFO - GECKO(10160) | ++DOCSHELL 00000193FD47A800 == 1 [pid = 8264] [id = {ba01015a-ad2f-4d9d-b5b3-298edeee2a91}]
[task 2019-11-30T12:08:25.980Z] 12:08:25 INFO - GECKO(10160) | ++DOMWINDOW == 1 (0000019384480020) [pid = 8264] [serial = 1] [outer = 0000000000000000]
[task 2019-11-30T12:08:25.985Z] 12:08:25 INFO - GECKO(10160) | [Child 8264, Main Thread] WARNING: NS_ENSURE_TRUE(mPresShell) failed: file z:/build/build/src/layout/base/nsPresContext.cpp, line 848
[task 2019-11-30T12:08:25.985Z] 12:08:25 INFO - GECKO(10160) | ++DOMWINDOW == 2 (00000193844C1000) [pid = 8264] [serial = 2] [outer = 0000019384480020]
[task 2019-11-30T12:08:26.403Z] 12:08:26 INFO - GECKO(10160) | [Parent 6276, Main Thread] WARNING: we only accept nsIURI interface type, patch welcome: file z:/build/build/src/dom/ipc/PropertyBagUtils.cpp, line 112
[task 2019-11-30T12:08:26.434Z] 12:08:26 INFO - GECKO(10160) | ++DOMWINDOW == 3 (00000193844B6800) [pid = 8264] [serial = 3] [outer = 0000019384480020]
[task 2019-11-30T12:08:26.538Z] 12:08:26 INFO - GECKO(10160) | [Child 8264, Main Thread] WARNING: '!aWin', file z:/build/build/src/dom/base/Document.cpp, line 1386
[task 2019-11-30T12:08:26.538Z] 12:08:26 INFO - GECKO(10160) | [Child 8264, Main Thread] WARNING: '!aWin', file z:/build/build/src/dom/base/Document.cpp, line 1386
[task 2019-11-30T12:08:26.975Z] 12:08:26 INFO - GECKO(10160) | DLL blocklist was unable to intercept AppInit DLLs.

[task 2019-11-30T12:08:34.838Z] 12:08:34 INFO - TEST-PASS | dom/ipc/tests/browser_cancel_content_js.js | expected next page to be loaded -
[task 2019-11-30T12:08:34.838Z] 12:08:34 INFO - Leaving test bound
[task 2019-11-30T12:08:34.838Z] 12:08:34 INFO - Entering test bound
[task 2019-11-30T12:08:34.838Z] 12:08:34 INFO - Buffered messages logged at 12:08:29
[task 2019-11-30T12:08:34.838Z] 12:08:34 INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "http://mochi.test:8888/browser/dom/ipc/tests/file_cancel_content_js.html" line: 0}]
[task 2019-11-30T12:08:34.838Z] 12:08:34 INFO - Buffered messages logged at 12:08:30
[task 2019-11-30T12:08:34.838Z] 12:08:34 INFO - navigating to https://example.org/ with cancel content JS disabled
[task 2019-11-30T12:08:34.838Z] 12:08:34 INFO - Buffered messages finished
[task 2019-11-30T12:08:34.838Z] 12:08:34 INFO - TEST-UNEXPECTED-FAIL | dom/ipc/tests/browser_cancel_content_js.js | expected timeout -
[task 2019-11-30T12:08:34.838Z] 12:08:34 INFO - Stack trace:
[task 2019-11-30T12:08:34.839Z] 12:08:34 INFO - chrome://mochikit/content/browser-test.js:test_ok:1299
[task 2019-11-30T12:08:34.839Z] 12:08:34 INFO - chrome://mochitests/content/browser/dom/ipc/tests/browser_cancel_content_js.js:test_navigation:58
[task 2019-11-30T12:08:34.839Z] 12:08:34 INFO - chrome://mochitests/content/browser/dom/ipc/tests/browser_cancel_content_js.js:null:65
[task 2019-11-30T12:08:34.839Z] 12:08:34 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1069
[task 2019-11-30T12:08:34.839Z] 12:08:34 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1104
[task 2019-11-30T12:08:34.839Z] 12:08:34 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:932
[task 2019-11-30T12:08:34.839Z] 12:08:34 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:805
[task 2019-11-30T12:08:34.868Z] 12:08:34 INFO - Leaving test bound
[task 2019-11-30T12:08:34.868Z] 12:08:34 INFO - Entering test bound
[task 2019-11-30T12:08:34.987Z] 12:08:34 INFO - GECKO(10160) | ++DOCSHELL 000001FF0BB7A800 == 1 [pid = 5332] [id = {af8a4194-a4cf-4fcb-b62e-47f85e2e6b5a}]
[task 2019-11-30T12:08:34.987Z] 12:08:34 INFO - GECKO(10160) | ++DOMWINDOW == 1 (000001FF1006E020) [pid = 5332] [serial = 1] [outer = 0000000000000000]
[task 2019-11-30T12:08:34.992Z] 12:08:34 INFO - GECKO(10160) | [Child 5332, Main Thread] WARNING: NS_ENSURE_TRUE(mPresShell) failed: file z:/build/build/src/layout/base/nsPresContext.cpp, line 848
[task 2019-11-30T12:08:34.992Z] 12:08:34 INFO - GECKO(10160) | ++DOMWINDOW == 2 (000001FF100B0C00) [pid = 5332] [serial = 2] [outer = 000001FF1006E020]
[task 2019-11-30T12:08:35.316Z] 12:08:35 INFO - GECKO(10160) | [Parent 6276, Main Thread] WARNING: we only accept nsIURI interface type, patch welcome: file z:/build/build/src/dom/ipc/PropertyBagUtils.cpp, line 112
[task 2019-11-30T12:08:35.374Z] 12:08:35 INFO - GECKO(10160) | ++DOMWINDOW == 3 (000001FF10FD5000) [pid = 5332] [serial = 3] [outer = 000001FF1006E020]
[task 2019-11-30T12:08:35.504Z] 12:08:35 INFO - GECKO(10160) | [Child 5332, Main Thread] WARNING: '!aWin', file z:/build/build/src/dom/base/Document.cpp, line 1386
[task 2019-11-30T12:08:35.504Z] 12:08:35 INFO - GECKO(10160) | [Child 5332, Main Thread] WARNING: '!aWin', file z:/build/build/src/dom/base/Document.cpp, line 1386
[task 2019-11-30T12:08:35.594Z] 12:08:35 INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "http://mochi.test:8888/browser/dom/ipc/tests/file_cancel_content_js.html" line: 0}]
[task 2019-11-30T12:08:35.636Z] 12:08:35 INFO - GECKO(10160) | DLL blocklist was unable to intercept AppInit DLLs.
[task 2019-11-30T12:08:35.655Z] 12:08:35 INFO - GECKO(10160) | ### XPCOM_MEM_BLOAT_LOG defined -- logging bloat/leaks to c:\users\task_1575114809\appdata\local\temp\tmpje4rnn.mozrunner\runtests_leaks_tab_pid3452.log
[task 2019-11-30T12:08:35.673Z] 12:08:35 INFO - GECKO(10160) | [Child 3452, Main Thread] WARNING: No CID found when attempting to map contract ID: file z:/build/build/src/xpcom/components/nsComponentManager.cpp, line 729
[task 2019-11-30T12:08:36.018Z] 12:08:36 INFO - GECKO(10160) | --DOMWINDOW == 3 (000001A9843BA400) [pid = 5436] [serial = 2] [outer = 0000000000000000] [url = about:blank]
[task 2019-11-30T12:08:36.018Z] 12:08:36 INFO - GECKO(10160) | --DOMWINDOW == 2 (000001A9852D2C00) [pid = 5436] [serial = 3] [outer = 0000000000000000] [url = about:blank]
[task 2019-11-30T12:08:36.097Z] 12:08:36 INFO - GECKO(10160) | --DOMWINDOW == 1 (000001A98437D020) [pid = 5436] [serial = 1] [outer = 0000000000000000] [url = https://example.com/browser/dom/ipc/tests/elapsed_time.sjs]
[task 2019-11-30T12:08:36.583Z] 12:08:36 INFO - navigating to javascript:void(document.title = 'foo') with cancel content JS enabled

Jim can you assign someone to take a look?

Flags: needinfo?(jmathies)
Whiteboard: [stockwell disabled] → [stockwell disabled][stockwell needswork:owner]
Flags: needinfo?(jmathies)

I'm a different Jim, but I'm also the one who regressed this; I thought my changes to those tests had fixed the intermittent failure... :(

I'll be back in the office on Wednesday and can take a look at this again. Ideally, I'd like to fix the intermittents for real, but if not, we can go back to disabling the tests on Windows. In all likelihood, the issue is on this line, since it's just sleeping until we think we're ready to run the real test. Fixing that to use some kind of event would hopefully fix the tests for real, but that might be difficult since the sleep is there to wait until the content page has stalled the event loop. (How do you fire an event to the parent process if the event loop is stuck??)

Okay, thank you.

Assignee: nobody → jporter+bmo

I haven't found a proper fix for this (not yet anyway), so in the meantime, we can just disable these tests on Win10 x64 debug again. Hopefully I'll be able to find a real fix, but this should at least cut down on the intermittent failures.

Pushed by jporter@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/bf7ad1b88301
Disable dom/ipc/tests/browser_cancel_content_js.js on Windows 10 64-bit debug due to intermittent failures; r=jmaher

Hi Joel, since this bug was disabled as requested in Comment 55, do we keep both stockwell tags or just the disabled one?

Flags: needinfo?(jmaher)

we remove the needswork tag unless it is added again for a different reason (test fix didn't work, failing on more platforms)

Flags: needinfo?(jmaher)
Whiteboard: [stockwell disabled][stockwell needswork:owner] → [stockwell disabled]

(In reply to Joel Maher ( :jmaher ) (UTC-4) from comment #60)

we remove the needswork tag unless it is added again for a different reason (test fix didn't work, failing on more platforms)

Thank you.

(In reply to Jim Porter (:squib) from comment #42)

I think (well, I hope) I've fixed this for real in bug 1592470, which should land soon.

Bug 1592470 was fixed in 71, but we're still seeing a few intermittent failures on macOS and Linux.

This test is disabled for all debug 64-bit Windows 10, not just Fission:

https://searchfox.org/mozilla-central/rev/fca0be7e2cf2f922c9b927423ce28e8a04b3fd90/dom/ipc/tests/browser.ini#12-13

(In reply to Chris Peterson [:cpeterson] from comment #73)

(In reply to Jim Porter (:squib) from comment #42)

I think (well, I hope) I've fixed this for real in bug 1592470, which should land soon.

Bug 1592470 was fixed in 71, but we're still seeing a few intermittent failures on macOS and Linux.

Unfortunately, my fix wasn't sufficient, so I had to re-disable the tests. I think it's due to the sleep(1000) call here: https://searchfox.org/mozilla-central/rev/5a10be606f2d76ef22f1f44565749490de991d35/dom/ipc/tests/browser_cancel_content_js.js#38

I'm not sure of a better way to handle it though, since I'm intentionally stalling the content page's event queue with a long-running loop, so I can't just send an event to the test driver when we're ready to proceed (the event would only arrive after the loop ended, which would be too late for the rest of the test).

You need to log in before you can comment on or make changes to this bug.